Subject: Re: [msysGit] Re: MinGW port pull request

From: Junio C Hamano <[email-masked]>
Date: Sat, 21 Jun 2008 14:47:05 -0700

Johannes Sixt <[email-masked]> writes:

> * The #ifdef in setup.c, prefix_filename() could easily be removed by using 
> the MINGW32 arm everywhere. This would penalize non-Windows, however, 
> prefix_filename() is not performance critical.
>
>>  * There is an interaction with dr/ceiling topic that is already in 'next'
>>    that needs to be resolved before we merge this in 'next'.
>
> How do you want me to proceed? Rebase on top of dr/ceiling? Wait until 
> dr/ceiling is in master and rebase again? Merge it into my series? (I would 
> make the merge the last commit in my series.) I'm asking because support of 
> dr/ceiling was not overwhelming.

I personally feel MinGW branch is more important than ceiling work, not
just because it targets far wider audience but because it affects a lot
wider area.  j6t/mingw _will_ eventually graduate to master in some form
(possibly after fixups that is needed to keep things working on non
Windows environment), and dr/ceil may or may not.

So my preference would be to merge j6t/mingw into dr/ceil branch soon,
resolve conflicts there, and merge the result to 'next' when j6t/mingw is
merged to 'next' at the same time.  And you can help with that merge when
it happens.